Goatlab API Docs

Get file status in a space

GET
/v1/spaces/{spaceId}/files/{fileId}/status

Retrieves the processing status of a file within a specific space, including detailed processing steps and any warnings.

Access Control:

Access to a file status depends on your permissions and the space's visibility:

  • Private Spaces: Only accessible by the space owner
  • Public Spaces: Accessible by all users within the same tenant

The file must belong to the specified space. Files cannot be accessed through a different space than the one they were uploaded to.

Authorization

ApiTokenAuth PRODUCT, GEN_AI
x-api-key<token>

API Key with role based permission

In: header

Scope: PRODUCT, GEN_AI

Path Parameters

spaceId*string

The unique identifier of the space containing the file

fileId*string

The unique identifier of the file to check status

Header Parameters

x-user-id*string

The ID of the user requesting the file status

x-tenant-id*string

The ID of the tenant

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \  -H "x-user-id: string" \  -H "x-tenant-id: string"
{
  "processingStatus": "PROCESSED",
  "extractionStatus": "completed",
  "steps": [
    {
      "status": "ANTIVIRUS_SCANNING",
      "createdAt": "2026-04-15T09:43:13.247Z",
      "endedAt": "2026-04-15T09:43:14.204Z"
    },
    {
      "status": "PROCESSING",
      "createdAt": "2026-04-15T09:43:14.700Z",
      "endedAt": "2026-04-15T09:44:53.330Z"
    },
    {
      "status": "CHUNKING",
      "createdAt": "2026-04-15T09:44:53.430Z",
      "endedAt": "2026-04-15T09:45:13.599Z"
    }
  ],
  "warnings": {
    "length": true,
    "empty": false,
    "infected": false,
    "images": true
  }
}

{
  "message": "x-user-id is required"
}

{
  "message": "Invalid API Key"
}
{
  "message": "File not found"
}
{
  "message": "Internal Server Error"
}